Summary:	Aurox configuration files for the smart package manager
Name:		aurox-config-smart
Version:	1
Release:	1
License:	GPL
Group:		System Environment/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	smart
Provides:	smart-config

%description
This package contains smart configuration files for Aurox (Base, Updates
and Devel) and Fedora (Core, Updates and Extras).

%prep
%setup -q -n %{name}
# place the proper arch in the folders
for filein in *.channel.in; do
  file=`echo $filein | %{__sed} -e's,\.in$,,'`
  %{__sed} -e's,@ARCH@,%{_target_cpu},g' < $filein > $file
done

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels
%{__install} -p -m 0644 *.channel $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/smart
%dir %{_sysconfdir}/smart/channels
%config(noreplace) %{_sysconfdir}/smart/channels/*.channel

%changelog
* Thu Jul 13 2006 Wojciech Gabor <tuptus@turox.org>
- initial build for Aurox 12.0
- based on fedora-package-config-smart by Axel Thimm
